package com.dzeio.openhealth.adapters

import android.view.LayoutInflater
import android.view.ViewGroup
import com.dzeio.openhealth.core.BaseAdapter
import com.dzeio.openhealth.core.BaseViewHolder
import com.dzeio.openhealth.data.food.Food
import com.dzeio.openhealth.databinding.ItemFoodBinding

class FoodAdapter() : BaseAdapter<Food, ItemFoodBinding>() {

    override val bindingInflater: (LayoutInflater, ViewGroup?, Boolean) -> ItemFoodBinding
        get() = ItemFoodBinding::inflate

    var onItemClick: ((weight: Food) -> Unit)? = null

    override fun onBindData(
        holder: BaseViewHolder<ItemFoodBinding>,
        item: Food,
        position: Int
    ) {
        holder.binding.foodName.text = item.name
        holder.binding.foodDescription.text = item.energy.toString()
        holder.binding.edit.setOnClickListener {
            onItemClick?.invoke(item)
        }
    }
}
