package com.dzeio.openhealth.data.food

import com.dzeio.openhealth.data.openfoodfact.OFFResult
import com.dzeio.openhealth.data.openfoodfact.OpenFoodFactService
import retrofit2.Response
import javax.inject.Inject


class FoodRepository @Inject constructor(
    private val dao: FoodDao,
    private val offSource: OpenFoodFactService
) {
    suspend fun findOnlineFood(name: String): Response<OFFResult> {
        return offSource.searchProducts(name)
    }

    fun getAll() = dao.getAll()

}
