package com.dzeio.openhealth.data.weight

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import java.sql.Date
import java.text.DateFormat.getDateInstance

@Entity()
data class Weight(
    @PrimaryKey(autoGenerate = true)
    var id: Long = 0,
    /**
     * Store the weight in kilograms
     */
    var weight: Float = 0f,
    @ColumnInfo(index = true)
    var timestamp: Long = System.currentTimeMillis(),
    var source: String = ""
) {
    fun formatTimestamp(): String = getDateInstance().format(Date(timestamp));
}
