package com.dzeio.openhealth.di

import android.content.Context
import com.dzeio.openhealth.data.AppDatabase
import com.dzeio.openhealth.data.food.FoodDao
import com.dzeio.openhealth.data.openfoodfact.OpenFoodFactService
import com.dzeio.openhealth.data.step.StepDao
import com.dzeio.openhealth.data.water.WaterDao
import com.dzeio.openhealth.data.weight.WeightDao
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.android.qualifiers.ApplicationContext
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@InstallIn(SingletonComponent::class)
@Module
class DatabaseModule {

    @Singleton
    @Provides
    fun provideAppDatabase(@ApplicationContext context: Context): AppDatabase {
        return AppDatabase.getInstance(context)
    }

    @Provides
    fun provideWeightDao(appDatabase: AppDatabase): WeightDao {
        return appDatabase.weightDao()
    }

    @Provides
    fun provideWaterDao(appDatabase: AppDatabase): WaterDao {
        return appDatabase.waterDao()
    }

    @Provides
    fun provideStepsDao(appDatabase: AppDatabase): StepDao {
        return appDatabase.stepDao()
    }

    @Provides
    fun provideFoodDao(appDatabase: AppDatabase): FoodDao {
        return appDatabase.foodDao()
    }

    @Singleton
    @Provides
    fun provideOpenFoodFactService(): OpenFoodFactService {
        return OpenFoodFactService.getService()
    }
}
