package com.dzeio.openhealth.ui.steps

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.viewModelScope
import com.dzeio.openhealth.core.BaseViewModel
import com.dzeio.openhealth.data.food.Food
import com.dzeio.openhealth.data.food.FoodRepository
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.flow.collectLatest
import kotlinx.coroutines.launch
import javax.inject.Inject

@HiltViewModel
class FoodHomeViewModel @Inject internal constructor(
    private val foodRepository: FoodRepository
) : BaseViewModel() {
    val items: MutableLiveData<List<Food>> = MutableLiveData()

    fun init() {
        viewModelScope.launch {
            foodRepository.getAll().collectLatest {
                items.postValue(it)
            }
        }
    }
}
