package com.dzeio.openhealth.ui.steps

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.viewModelScope
import com.dzeio.openhealth.Settings
import com.dzeio.openhealth.core.BaseViewModel
import com.dzeio.openhealth.data.step.Step
import com.dzeio.openhealth.data.step.StepRepository
import com.dzeio.openhealth.utils.Configuration
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.flow.collectLatest
import kotlinx.coroutines.launch
import javax.inject.Inject

@HiltViewModel
class StepsHomeViewModel@Inject internal constructor(
    private val stepRepository: StepRepository,
    private val config: Configuration
) : BaseViewModel() {
    val items: MutableLiveData<List<Step>> = MutableLiveData()

    private val _goal: MutableLiveData<Int?> = MutableLiveData()
    val goal: LiveData<Int?> = _goal

    fun init() {
        viewModelScope.launch {
            stepRepository.getSteps().collectLatest {
                items.postValue(it)
            }
        }

        this._goal.postValue(
            config.getInt(Settings.STEPS_GOAL).value
        )
    }
}
