package com.dzeio.openhealth.ui.water

import android.content.SharedPreferences
import androidx.lifecycle.MutableLiveData
import com.dzeio.openhealth.core.BaseViewModel
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class WaterSizeSelectorViewModel @Inject constructor(
    private val settings: SharedPreferences
) : BaseViewModel() {

    private val _cupSize = MutableLiveData(0)

    val cupSize = _cupSize

    init {
        val cup = settings.getInt("water_cup_size", -1)
        if (cup != -1) {
            _cupSize.value = cup
        }
    }

    fun setCupSize(value: Int) {
        settings.edit()
            .putInt("water_cup_size", value)
            .apply()

        _cupSize.value = value
    }
}
