package com.dzeio.charts.series

import android.graphics.Canvas
import android.graphics.RectF
import com.dzeio.charts.ChartViewInterface
import com.dzeio.charts.Entry
import com.dzeio.charts.axis.YAxisPosition

sealed class BaseSerie(
    private val view: ChartViewInterface
) : SerieInterface {

    private companion object {
        const val TAG = "Charts/BaseSerie"
    }

    override var yAxisPosition: YAxisPosition = YAxisPosition.RIGHT

    override var entries: ArrayList<Entry> = arrayListOf()

    override fun getDisplayedEntries(): ArrayList<Entry> {
        // -+ view.xAxis.increment = one out of display
        val minX = view.xAxis.x - view.xAxis.increment
        val maxX =
            view.xAxis.x + view.xAxis.displayCount * view.xAxis.increment + view.xAxis.increment

        return entries.filter {
            return@filter it.x in minX..maxX
        } as ArrayList<Entry>
    }

    abstract override fun onDraw(canvas: Canvas, drawableSpace: RectF)
}
